%global srcname pylons-sphinx-themes
%global desc This is a Python package that contains Sphinx themes for Pylons related \
projects.


Name: python-%{srcname}
Version: 1.0.6
Release: 1%{?dist}
BuildArch: noarch

License: BSD
Summary: Sphinx themes for projects under the Pylons Project
URL: https://github.com/Pylons/%{srcname}
Source0: %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: python2-devel
BuildRequires: python3-devel


%description
%{desc}


%package -n python2-%{srcname}
Summary: %{summary}

%{?python_provide:%python_provide python2-%{srcname}}


%description -n python2-%{srcname}
%{desc}


%package -n python3-%{srcname}
Summary: %{summary}

%{?python_provide:%python_provide python3-%{srcname}}


%description -n python3-%{srcname}
%{desc}


%prep
%autosetup -n %{srcname}-%{version}


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%files -n python2-%{srcname}
%license COPYRIGHT.txt
%license LICENSE.txt
%doc CHANGES.txt
%doc README.md
%{python2_sitelib}/pylons_sphinx_themes
%{python2_sitelib}/*.egg-info


%files -n python3-%{srcname}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/pylons_sphinx_themes
%{python3_sitelib}/*.egg-info


%changelog
* Fri Sep 29 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.6-1
- Initial release
